package gotowe.p25_kolekcje.zbieranie_danych;

import java.util.Arrays;
import java.util.Scanner;

public class P1_Tablica {

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		// Podczas tworzenia tablicy musimy wiedzieć, ile elementów ma mieć.
		
		System.out.print("Ile imion podasz? ");
		int size = scanner.nextInt();
		scanner.nextLine(); // ingorujemy resztę linii, co ma znaczenie nawet, jeśli jest pusta
		
		String[] tablica = new String[size];
		
		for(int i = 0; i < tablica.length; i++) {
			System.out.print("Podaj imię nr " + i + ": ");
			String imie = scanner.nextLine();
			tablica[i] = imie;
		}
		
		System.out.println(Arrays.toString(tablica));
		System.out.println();
		
		// Drugi etap: użytkownik podaje numer, a program odczytuje wartość z podanej pozycji.
		// -1 kończy
		while(true) {
			System.out.print("Podaj nr pozycji: ");
			int pozycja = scanner.nextInt();
			scanner.nextLine();
			if(pozycja == -1) {
				break;
			}
			try {
				String imie = tablica[pozycja];
				System.out.println("Osoba nr " + pozycja + " to " + imie);
			} catch (Exception e) {
				System.out.println(e);
			}
		}
	}

}
